StarObjectPageStyleInternal::PageDesc Struct Reference documentation

StarObjectPageStyleInternal::PageDesc Struct Reference

structure to store a page description More...

## Public Member Functions
| PageDesc ()
| constructor
| ~PageDesc ()
| destructor
void | updatePageSpan (StarState &state) const
| update pagespan properties
bool | updateState (StarState &state) const
| try to update the section
bool | read (StarZone &zone, StarObject &object)
| try to read a pageDesc: 'p'

## Public Attributes
librevenge::RVNGString | m_name
| the name
librevenge::RVNGString | m_follow
| the follow
bool | m_landscape
| is the page a lanscape
int | m_poolId
| the poolId
int | m_numType
| the number's type
int | m_usedOn
| the page where is it used ?
int | m_regCollIdx
| the coll idx
std::shared_ptr< NoteDesc > | m_noteDesc [2]
| the foot and page foot desc
std::vector< StarWriterStruct::Attribute > | m_attributes [2]
| the master and left attributes lists

## Friends
std::ostream & | operator<< (std::ostream &o, PageDesc const &desc)
| operator<<

## Detailed Description

structure to store a page description

## Constructor & Destructor Documentation

## ◆ PageDesc()

StarObjectPageStyleInternal::PageDesc::PageDesc | ( |  | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## ◆ ~PageDesc()

StarObjectPageStyleInternal::PageDesc::~PageDesc | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ read()

bool StarObjectPageStyleInternal::PageDesc::read | ( | StarZone & | zone,
|  | StarObject & | object )

try to read a pageDesc: 'p'

Referenced by StarObjectPageStyle::read().

## ◆ updatePageSpan()

void StarObjectPageStyleInternal::PageDesc::updatePageSpan | ( | StarState & | state | ) | const

update pagespan properties

## ◆ updateState()

bool StarObjectPageStyleInternal::PageDesc::updateState | ( | StarState & | state | ) | const

try to update the section

Referenced by updatePageSpan().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PageDesc const & | desc )
| friend

operator<<

## Member Data Documentation

## ◆ m_attributes

std::vector<StarWriterStruct::Attribute> StarObjectPageStyleInternal::PageDesc::m_attributes[2]

the master and left attributes lists

Referenced by read(), and updateState().

## ◆ m_follow

librevenge::RVNGString StarObjectPageStyleInternal::PageDesc::m_follow

the follow

Referenced by operator<<, PageDesc(), and read().

## ◆ m_landscape

bool StarObjectPageStyleInternal::PageDesc::m_landscape

is the page a lanscape

Referenced by operator<<, PageDesc(), read(), and updatePageSpan().

## ◆ m_name

librevenge::RVNGString StarObjectPageStyleInternal::PageDesc::m_name

the name

Referenced by operator<<, PageDesc(), StarObjectPageStyle::read(), and read().

## ◆ m_noteDesc

std::shared_ptr<NoteDesc> StarObjectPageStyleInternal::PageDesc::m_noteDesc[2]

the foot and page foot desc

Referenced by read().

## ◆ m_numType

int StarObjectPageStyleInternal::PageDesc::m_numType

the number's type

Referenced by operator<<, PageDesc(), and read().

## ◆ m_poolId

int StarObjectPageStyleInternal::PageDesc::m_poolId

the poolId

Referenced by operator<<, PageDesc(), and read().

## ◆ m_regCollIdx

int StarObjectPageStyleInternal::PageDesc::m_regCollIdx

the coll idx

Referenced by operator<<, PageDesc(), and read().

## ◆ m_usedOn

int StarObjectPageStyleInternal::PageDesc::m_usedOn

the page where is it used ?

Referenced by operator<<, PageDesc(), and read().

The documentation for this struct was generated from the following file:

- StarObjectPageStyle.cxx